> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiserviceaccountsv1serviceaccounts tokens 1



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml get /api/serviceAccounts/v1/serviceAccounts/{serviceAccountIdpId}/tokens/{tokenName}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/serviceAccounts/v1/serviceAccounts/{serviceAccountIdpId}/tokens/{tokenName}:
    get:
      tags:
        - ServiceAccounts
      operationId: getServiceAccountToken
      parameters:
        - $ref: '#/components/parameters/serviceAccountIdpId'
        - $ref: '#/components/parameters/tokenName'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServiceAccountTokenEnvelope'
          description: >-
            Get the token with the provided name that belongs to a particular
            service account
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    serviceAccountIdpId:
      in: path
      name: serviceAccountIdpId
      required: true
      schema:
        type: string
    tokenName:
      in: path
      name: tokenName
      required: true
      schema:
        type: string
  schemas:
    ServiceAccountTokenEnvelope:
      properties:
        metadata:
          $ref: '#/components/schemas/MetadataV1'
        token:
          $ref: '#/components/schemas/ServiceAccountToken'
      required:
        - token
        - metadata
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    ServiceAccountToken:
      allOf:
        - $ref: '#/components/schemas/ServiceAccountTokenDetails'
        - properties:
            token:
              type: string
          required:
            - name
            - serviceAccountIdpId
            - isValid
            - createdAt
            - token
          type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    ServiceAccountTokenDetails:
      properties:
        createdAt:
          example: '2025-08-21T23:51:54.075Z'
          format: date-time
          type: string
        expiresAt:
          example: '2025-08-21T23:51:54.075Z'
          format: date-time
          type: string
        isValid:
          type: boolean
        name:
          type: string
        serviceAccountIdpId:
          type: string
      required:
        - name
        - serviceAccountIdpId
        - isValid
        - createdAt
      type: object
  responses:
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````